Index: TXM/trunk/org.txm.groovy.rcp/build.properties
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/build.properties	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/build.properties	(revision 3608)
@@ -0,0 +1,5 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml

Property changes on: TXM/trunk/org.txm.groovy.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/plugin.xml	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/plugin.xml	(revision 3608)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.preferencePages">
+      <page
+            class="org.txm.groovy.rcp.WorkbenchPreferencePage1"
+            id="org.txm.groovy.rcp.page1"
+            name="Groovy">
+      </page>
+   </extension>
+
+</plugin>

Property changes on: TXM/trunk/org.txm.groovy.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 3608)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.8

Property changes on: TXM/trunk/org.txm.groovy.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/.classpath
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/.classpath	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/.classpath	(revision 3608)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: TXM/trunk/org.txm.groovy.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 3608)
@@ -0,0 +1,10 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.groovy.rcp
+Bundle-SymbolicName: org.txm.groovy.rcp;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-Vendor: textometrie.org
+Automatic-Module-Name: org.txm.groovy.rcp
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Require-Bundle: org.txm.groovy.core;bundle-version="1.0.0",
+ org.txm.rcp;bundle-version="0.8.2";visibility:=reexport

Property changes on: TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/.project
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/.project	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/.project	(revision 3608)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.groovy.rcp</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: TXM/trunk/org.txm.groovy.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java	(revision 3608)
@@ -0,0 +1,24 @@
+package org.txm.groovy.rcp;
+
+import org.eclipse.jface.preference.StringFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.groovy.core.GroovyPreferences;
+import org.txm.rcp.preferences.TXMPreferencePage;
+import org.txm.rcp.preferences.TXMPreferenceStore;
+
+public class GroovyPreferencePage extends TXMPreferencePage {
+	
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
+	 */
+	@Override
+	protected void createFieldEditors() {
+		this.addField(new StringFieldEditor(GroovyPreferences.ADDITIONAL_ROOT_DIRECTORY, "Additional root directory", this.getFieldEditorParent()));
+	}
+	
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(GroovyPreferences.getInstance().getPreferencesNodeQualifier()));
+	}	
+}

Property changes on: TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

